Index: branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearDiscriminantAnalysis.cs
===================================================================
--- branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearDiscriminantAnalysis.cs	(revision 16538)
+++ branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearDiscriminantAnalysis.cs	(revision 16842)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,5 @@
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
@@ -39,10 +39,10 @@
   [Item("Linear Discriminant Analysis (LDA)", "Linear discriminant analysis classification algorithm (wrapper for ALGLIB).")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisClassification, Priority = 100)]
-  [StorableClass]
+  [StorableType("032E1FDE-D140-47BF-8EB1-D63EC33B0629")]
   public sealed class LinearDiscriminantAnalysis : FixedDataAnalysisAlgorithm<IClassificationProblem> {
     private const string LinearDiscriminantAnalysisSolutionResultName = "Linear discriminant analysis solution";
 
     [StorableConstructor]
-    private LinearDiscriminantAnalysis(bool deserializing) : base(deserializing) { }
+    private LinearDiscriminantAnalysis(StorableConstructorFlag _) : base(_) { }
     private LinearDiscriminantAnalysis(LinearDiscriminantAnalysis original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearRegression.cs
===================================================================
--- branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearRegression.cs	(revision 16538)
+++ branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearRegression.cs	(revision 16842)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
@@ -39,5 +39,5 @@
   [Item("Linear Regression (LR)", "Linear regression data analysis algorithm (wrapper for ALGLIB).")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisRegression, Priority = 100)]
-  [StorableClass]
+  [StorableType("CF99D45E-F341-445E-9B9E-0587A8D9CBA7")]
   public sealed class LinearRegression : FixedDataAnalysisAlgorithm<IRegressionProblem> {
     private const string SolutionResultName = "Linear regression solution";
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    private LinearRegression(bool deserializing) : base(deserializing) { }
+    private LinearRegression(StorableConstructorFlag _) : base(_) { }
     private LinearRegression(LinearRegression original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearRegressionModel.cs
===================================================================
--- branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearRegressionModel.cs	(revision 16538)
+++ branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearRegressionModel.cs	(revision 16842)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 
@@ -33,5 +33,5 @@
   /// Represents a linear regression model
   /// </summary>
-  [StorableClass]
+  [StorableType("B65FB0CA-7333-41FE-8156-FF141C54F5AF")]
   [Item("Linear Regression Model", "Represents a linear regression model.")]
   public sealed class LinearRegressionModel : RegressionModel, IConfidenceRegressionModel {
@@ -75,6 +75,5 @@
 
     [StorableConstructor]
-    private LinearRegressionModel(bool deserializing)
-      : base(deserializing) {
+    private LinearRegressionModel(StorableConstructorFlag _) : base(_) {
     }
     private LinearRegressionModel(LinearRegressionModel original, Cloner cloner)
Index: branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitClassification.cs
===================================================================
--- branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitClassification.cs	(revision 16538)
+++ branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitClassification.cs	(revision 16842)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 
@@ -37,10 +37,10 @@
   [Item("Multinomial Logit Classification (MNL)", "Multinomial logit classification data analysis algorithm (wrapper for ALGLIB).")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisClassification, Priority = 180)]
-  [StorableClass]
+  [StorableType("F2797341-670A-491E-8652-0F154CBE99DC")]
   public sealed class MultiNomialLogitClassification : FixedDataAnalysisAlgorithm<IClassificationProblem> {
     private const string LogitClassificationModelResultName = "Logit classification solution";
 
     [StorableConstructor]
-    private MultiNomialLogitClassification(bool deserializing) : base(deserializing) { }
+    private MultiNomialLogitClassification(StorableConstructorFlag _) : base(_) { }
     private MultiNomialLogitClassification(MultiNomialLogitClassification original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitClassificationSolution.cs
===================================================================
--- branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitClassificationSolution.cs	(revision 16538)
+++ branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitClassificationSolution.cs	(revision 16842)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,5 +22,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("Multinomial Logit Classification Solution", "Represents a multinomial logit solution for a classification problem which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableType("A6F6F990-EF97-4A9C-8054-B38E39763FDB")]
   public sealed class MultinomialLogitClassificationSolution : ClassificationSolution {
 
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private MultinomialLogitClassificationSolution(bool deserializing) : base(deserializing) { }
+    private MultinomialLogitClassificationSolution(StorableConstructorFlag _) : base(_) { }
     private MultinomialLogitClassificationSolution(MultinomialLogitClassificationSolution original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitModel.cs
===================================================================
--- branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitModel.cs	(revision 16538)
+++ branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitModel.cs	(revision 16842)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,5 +25,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 
@@ -32,5 +32,5 @@
   /// Represents a multinomial logit model for classification
   /// </summary>
-  [StorableClass]
+  [StorableType("AC4174A4-9FBC-4B07-9239-1E0E6F86034D")]
   [Item("Multinomial Logit Model", "Represents a multinomial logit model for classification.")]
   public sealed class MultinomialLogitModel : ClassificationModel {
@@ -60,8 +60,6 @@
 
     [StorableConstructor]
-    private MultinomialLogitModel(bool deserializing)
-      : base(deserializing) {
-      if (deserializing)
-        logitModel = new alglib.logitmodel();
+    private MultinomialLogitModel(StorableConstructorFlag _) : base(_) {
+      logitModel = new alglib.logitmodel();
     }
     private MultinomialLogitModel(MultinomialLogitModel original, Cloner cloner)
Index: branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/Scaling.cs
===================================================================
--- branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/Scaling.cs	(revision 16538)
+++ branches/2847_M5Regression/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/Scaling.cs	(revision 16842)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,10 +25,10 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.Algorithms.DataAnalysis {
   [Obsolete("Use transformation classes in Problems.DataAnalysis instead")]
-  [StorableClass]
+  [StorableType("52EABC0F-B8D2-4ADD-ACC2-C825D3F1D6F3")]
   [Item(Name = "Scaling", Description = "Contains information about scaling of variables for data-analysis algorithms.")]
   public class Scaling : Item {
@@ -36,5 +36,5 @@
     private Dictionary<string, Tuple<double, double>> scalingParameters = new Dictionary<string, Tuple<double, double>>();
     [StorableConstructor]
-    protected Scaling(bool deserializing) : base(deserializing) { }
+    protected Scaling(StorableConstructorFlag _) : base(_) { }
     protected Scaling(Scaling original, Cloner cloner)
       : base(original, cloner) {
